# Class Field

java.lang.Object
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.Field

All Implemented Interfaces:
  `Serializable`

public class Field extends Object implements Serializable
An EdDSA finite field. Includes several pre-computed values.

Author:
  str4d
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final FieldElement`
`EIGHT`
`final FieldElement`
`FIVE`
`final FieldElement`
`FOUR`
`final FieldElement`
`ONE`
`final FieldElement`
`TWO`
`final FieldElement`
`ZERO`

## Constructor Summary

Constructors
Constructor
Description
`Field(int b, byte[] q, Encoding enc)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`FieldElement`
`fromByteArray(byte[] x)`
`int`
`getb()`
`Encoding`
`getEncoding()`
`FieldElement`
`getQ()`
`FieldElement`
`getQm2()`
`FieldElement`
`getQm5d8()`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ZERO

public final FieldElement ZERO

### ONE

public final FieldElement ONE

### TWO

public final FieldElement TWO

### FOUR

public final FieldElement FOUR

### FIVE

public final FieldElement FIVE

### EIGHT

public final FieldElement EIGHT

## Constructor Details

### Field

public Field(int b, byte[] q, Encoding enc)

## Method Details

### fromByteArray

public FieldElement fromByteArray(byte[] x)

### getb

public int getb()

### getQ

public FieldElement getQ()

### getQm2

public FieldElement getQm2()

### getQm5d8

public FieldElement getQm5d8()

### getEncoding

public Encoding getEncoding()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`